opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
cv::VideoCapture Class Reference

`#include <highgui.hpp>`

## Public Member Functions
virtual CV_WRAP double | get (int propId)
virtual CV_WRAP bool | grab ()
virtual CV_WRAP bool | isOpened () const
virtual CV_WRAP bool | open (const string &filename)
virtual CV_WRAP bool | open (int device)
virtual VideoCapture & | operator>> (CV_OUT Mat &image)
virtual CV_WRAP bool | read (CV_OUT Mat &image)
virtual CV_WRAP void | release ()
virtual CV_WRAP bool | retrieve (CV_OUT Mat &image, int channel=0)
virtual CV_WRAP bool | set (int propId, double value)
CV_WRAP | VideoCapture ()
CV_WRAP | VideoCapture (const string &filename)
CV_WRAP | VideoCapture (int device)
virtual | ~VideoCapture ()

## Protected Attributes
Ptr< CvCapture > | cap

## Constructor & Destructor Documentation

CV_WRAP cv::VideoCapture::VideoCapture | ( |  | ) |

CV_WRAP cv::VideoCapture::VideoCapture | ( | const string & | filename | ) |

CV_WRAP cv::VideoCapture::VideoCapture | ( | int | device | ) |

virtual cv::VideoCapture::~VideoCapture | ( |  | ) |
| virtual

## Member Function Documentation

virtual CV_WRAP double cv::VideoCapture::get | ( | int | propId | ) |
| virtual

virtual CV_WRAP bool cv::VideoCapture::grab | ( |  | ) |
| virtual

virtual CV_WRAP bool cv::VideoCapture::isOpened | ( |  | ) | const
| virtual

virtual CV_WRAP bool cv::VideoCapture::open | ( | const string & | filename | ) |
| virtual

virtual CV_WRAP bool cv::VideoCapture::open | ( | int | device | ) |
| virtual

virtual VideoCapture& cv::VideoCapture::operator>> | ( | CV_OUT Mat & | image | ) |
| virtual

virtual CV_WRAP bool cv::VideoCapture::read | ( | CV_OUT Mat & | image | ) |
| virtual

virtual CV_WRAP void cv::VideoCapture::release | ( |  | ) |
| virtual

virtual CV_WRAP bool cv::VideoCapture::retrieve | ( | CV_OUT Mat & | image,
|  | int | channel = `0`
| ) |  |
| virtual

virtual CV_WRAP bool cv::VideoCapture::set | ( | int | propId,
|  | double | value
| ) |  |
| virtual

## Member Data Documentation

Ptr<CvCapture> cv::VideoCapture::cap
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/highgui/include/opencv2/highgui/highgui.hpp